CoCoA-5 Projects for students (e.g. crediti F and tesi)

28 Sep 2012 16:18 - Anna Maria Bigatti

Status: In Progress Start date: 28 Sep 2012

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: CoCoA-5 function: new Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.40 hour

Description

Here we list all ideas for possible student projects.

Some are already in redmine, so we just add them as "related issues"

Related issues:

Related to CoCoA-5 - Support #177: CoCoAManual: General part of the documenta... In Progress 01 Jun 2012

Related to CoCoALib - Support #76: keywords in documentation New 23 Dec 2011

Related to CoCoALib - Support #75: Documentation review by Caleo Closed 23 Dec 2011

Related to CoCoA-5 - Feature #13: (short) manual for emacs interface New 28 Oct 2011

Related to CoCoA-5 - Bug #27: CoCoA-5 Manual Closed 09 Nov 2011

Related to CoCoALib - Feature #11: Bareiss algorithm Closed 20 Oct 2011

Related to CoCoALib - Feature #40: Squarefree factorization - Alessio d'Ali` Closed 30 Nov 2011

Related to CoCoA-5 - Support #198: Appunti per (eventuale) tesi triennale Inf... New 29 Jun 2012

Related to CoCoALib - Feature #246: Approx QIR New 01 Oct 2012

Related to CoCoALib - Feature #257: Transcribe C4 code for GCD in QQ[x] New 09 Oct 2012

Related to CoCoALib - Feature #222: Printing polynomials - spaces between terms In Progress 08 Aug 2012

Related to CoCoA-5 - Feature #78: Elim ordering and matrix ordering In Progress 16 Jan 2012

Related to CoCoALib - Support #59: List of all functions in CoCoALib New 07 Dec 2011

Related to CoCoALib - Feature #258: Multivariate lifting New 09 Oct 2012

Related to CoCoALib - Feature #259: Squarefree(?) GCD-free basis Closed 09 Oct 2012

Related to CoCoA-5 - Feature #273: Package for Polynomial Algebra Homomorphisms Closed 12 Nov 2012

Related to CoCoA-5 - Feature #276: TeXmacs interface New 21 Nov 2012

Related to CoCoALib - Support #438: Polynomial multiplication (product of Rin... In Progress 08 Feb 2014

Related to CoCoALib - Feature #440: Port RealRoots to C++ New 11 Feb 2014

Related to CoCoALib - Feature #442: Eigenvectors New 19 Feb 2014

Related to CoCoALib - Support #497: Clang: automatic bug finding New 27 Mar 2014

Related to CoCoA-5 - Feature #352: Should SourceRegion echo the "region"? Closed 21 May 2013

Related to CoCoALib - Feature #1001: CoCoALib: ideas for student projects In Progress 19 Jan 2017

Related to CoCoALib - Feature #587: port to CoCoALib: Homomorphism pkg (ker, ... Closed 14 Jul 2014

Related to CoCoA-5 - Support #1333: Typevectors Closed 08 Oct 2019

Related to CoCoA-5 - Feature #368: port SmithNormalForm (CoCoA-4)package to C... In Progress 11 Jun 2013

Related to CoCoALib - Feature #800: PPMonoidSparse: impl of sparse PPs Closed 09 Nov 2015

Related to CoCoALib - Feature #1667: GBasis over ZZ: port to CoCoALib In Progress 16 Feb 2022

Related to CoCoALib - Feature #1668: Generalize prim New 16 Feb 2022

Related to CoCoALib - Feature #664: Impl small non-prime finite fields (using... Resolved 11 Feb 2015

Related to CoCoA-5 - Feature #1415: thmproving package In Progress 13 Feb 2020

Related to CoCoA-5 - Feature #1671: Refactor C++ impl in OnlineHelp New 03 Mar 2022

Related to CoCoA-5 - Feature #1701: Preliminary packages In Progress 17 Oct 2022

History

#1 - 02 Oct 2012 14:04 - John Abbott

Several CoCoALib test files need to be improved, and probably some more new ones written.  This could also prove a useful test of the

documentation.
For instance, I know that QBGenerator needs a proper test.

(20140208) Bruns asks whether computation times for f*g and g*f are equal; if not, which is better (based on NumTerms?)

#2 - 19 Jan 2017 18:10 - John Abbott

- Related to Feature #1001: CoCoALib: ideas for student projects added

#3 - 28 Apr 2017 11:13 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoALib

- Category set to Various

- Target version set to CoCoALib-1.0

#4 - 20 Dec 2017 08:45 - Anna Maria Bigatti

2022-04-25: COCOALIB PROJECTS REMAIN IN ISSUE #1001

I recall from another equivalent issue (and close it https://cocoa.dima.unige.it/redmine/issues/1001#note-1)

JAA

Here are some ideas:

write a fn IsCyclotomic for univariate polynomials (based on paper by Bradford+Davenport)

write a fn IsDegenerate for univariate polynpomials (based on paper by Cipu, Diouf, Mignotte) -- JAA does not like the fn name

[done] write code for subresultant (and perhaps some variants?)

write a simple impl of NLSAT (paper by ), perhaps just for the case of 2 indets?

write a simple impl of Gao-Volny-Wang

translate QIR code into C++/CoCoALib

write better impls for certain rings homs (e.g. for verifying correctness of "implicit")

a fn which produces the simplest non-neg integer matrix giving the same term ordering (perhaps with given GradingDim)

#5 - 20 Dec 2017 09:37 - Anna Maria Bigatti

- Related to Feature #587: port to CoCoALib: Homomorphism pkg (ker, IsInjective, IsSurjective..) added

#6 - 10 Oct 2019 17:25 - Anna Maria Bigatti

- Related to Support #1333: Typevectors added

#7 - 19 Mar 2021 14:56 - John Abbott

- Related to Feature #368: port SmithNormalForm (CoCoA-4)package to CoCoA-5 added

#8 - 09 Feb 2022 20:13 - John Abbott

- Related to Feature #800: PPMonoidSparse: impl of sparse PPs added

#9 - 16 Feb 2022 20:32 - John Abbott

- Related to Feature #1667: GBasis over ZZ: port to CoCoALib added

#10 - 16 Feb 2022 20:43 - John Abbott

- Related to Feature #1668: Generalize prim added

#11 - 17 Feb 2022 19:33 - John Abbott

- Related to Feature #664: Impl small non-prime finite fields (using logs) added
#12 - 18 Feb 2022 16:51 - Anna Maria Bigatti

- Related to Feature #1415: thmproving package added

#13 - 18 Feb 2022 16:55 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

This issue and #1001 cover similar ground.

Suggestion: split the 2 issues into: one for CoCoA-5, and one for CoCoALib.

#14 - 18 Feb 2022 16:58 - John Abbott

- Subject changed from Projects for students: crediti F and tesi to CoCoA-5 Projects for students (e.g. crediti F and tesi)

#15 - 18 Feb 2022 16:59 - Anna Maria Bigatti

- Project changed from CoCoALib to CoCoA-5

- Category changed from Various to CoCoA-5 function: new

- Target version changed from CoCoALib-1.0 to CoCoA-5.4.2

#16 - 03 Mar 2022 14:55 - John Abbott

- Related to Feature #1671: Refactor C++ impl in OnlineHelp added

#17 - 21 Oct 2022 15:51 - Anna Maria Bigatti

- Related to Feature #1701: Preliminary packages added

#18 - 21 Oct 2022 15:53 - Anna Maria Bigatti

Added Feature #1701: could be a good source of ideas to be refined, tested, documented, developed.
